Panduan pembalasan.id
Contacts

Create contact inbox

POST
/api/v1/accounts/{account_id}/contacts/{id}/contact_inboxes

Create a contact inbox record for an inbox

Authorization

userApiKey
api_access_token<token>

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

In: header

Path Parameters

account_id*integer

The numeric ID of the account

id*number

ID of the contact

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/accounts/0/contacts/0/contact_inboxes" \  -H "Content-Type: application/json" \  -d '{    "inbox_id": 1  }'
{
  "source_id": "string",
  "inbox": {
    "id": 0,
    "avatar_url": "string",
    "channel_id": 0,
    "name": "string",
    "channel_type": "string",
    "provider": "string"
  }
}
{
  "description": "string",
  "errors": [
    {
      "field": "string",
      "message": "string",
      "code": "string"
    }
  ]
}
{
  "description": "string",
  "errors": [
    {
      "field": "string",
      "message": "string",
      "code": "string"
    }
  ]
}